#ifndef __DEBOUNCING_H
#define __DEBOUNCING_H

#include "prop.h"
#include <stdint.h>

#ifndef F_CPU
#warning "F_CPU not defined!"
#endif

// variables for debouncing
volatile uint8_t key_state; // debounced and inverted key state:
// bit = 1: key pressed
volatile uint8_t key_press; // key press detect
volatile uint8_t key_rpt; // key long press and repeat

void debouncing_init();

uint8_t get_key_press(uint8_t key_mask);
uint8_t get_key_rpt(uint8_t key_mask);
uint8_t get_key_short(uint8_t key_mask);
uint8_t get_key_long(uint8_t key_mask);

void debouncing_ISRoutine();

#endif
