#ifndef TIME_H
#define TIME_H

#include <avr/io.h>

// Zhlvariable im Interrupt
volatile uint8_t interrupts;

// Zeit
volatile uint8_t seconds;
volatile uint8_t minutes;
volatile uint8_t hours;

// Variablen fr blinkender Doppelpunkt
uint8_t cache_sec;
uint8_t dot_on;

//Events (nur true wenn gerade im Gange)
volatile uint8_t shutter_up;
volatile uint8_t shutter_down;


//Eventzeitpunkt TODO extra klasse
volatile uint8_t shutter_up_hourdd;
volatile uint8_t shutter_down_hour;
volatile uint8_t shutter_up_minute;
volatile uint8_t shutter_down_minute;
volatile uint8_t dcf_sync_hour;
volatile uint8_t dcf_sync_minute;

//Eventdauer in Sekunden
#define SHUTTER_UP_PERIODE 10;
#define SHUTTER_DOWN_PERIODE 10;

// Anzeigbare Zeit
char min_char[3];
char hrs_char[3];

// public
void time_init();
void time_load_eeprom();
void time_save_eeprom();
void time_count();
void time_display();

// private 
void check_events();
void event_counter();

#endif
