#include "light.h"

#include "debouncing.h"
#include "lcd_routines.h"
#include "time.h"
#include "shutter.h"

void light_init() {
	stat_light = 0;
}

void light_on() {
	stat_light = 1;
	SWTH_PORT |= (1 << SWTH0); // Lichtrelais an schalten
	lcd_clear();
	lcd_setcursor(4, 2);
	lcd_string("Light ON");
}

void light_off() {
	stat_light = 0;
	SWTH_PORT &= ~(1 << SWTH0); // Lichtrelais aus schlaten
	lcd_clear();
	lcd_setcursor(3, 2);
	lcd_string("Light OFF");
}

void light_asker() {
	//Licht Knopf lange gedrckt
	if (get_key_long(1 << KEY2)) {
		if (!stat_light) { // Wenn Licht aus
			shutter_down = SHUTTER_DOWN_PERIODE;
			shutter_close(); // Rolladen schliessen
			light_on(); // Licht einschalten
		} else { // Wenn Licht an
			shutter_up = SHUTTER_UP_PERIODE;
			shutter_open();
			//			openShutter(); // Rolladen oeffnen
			light_off(); // Licht ausschalten
		}
	}
	//Licht Knopf kurz gedrckt
	if (get_key_short(1 << KEY2)) {
		if (stat_light) {
			light_off();
		} else {
			light_on();
		}
	}
}
